Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodeattributenodeattribute Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodeattributenodeattribute (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getAttributes()" method invoked on an Attribute Node returns null.

Retrieve the first attribute from the last child of the first employee and invoke the "getAttributes()" method on the Attribute Node. It should return null.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-84CF096 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-637646024

Definition at line 45 of file nodeattributenodeattribute.java.

## Constructor & Destructor Documentation

nodeattributenodeattribute::nodeattributenodeattribute | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 47 of file nodeattributenodeattribute.java.
    00048  {
    00049       super(factory);
    00050
    00051    }

## Member Function Documentation

String nodeattributenodeattribute::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 69 of file nodeattributenodeattribute.java.
    00069                                 {
    00070       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodeattributenodeattribute";
    00071    }

void nodeattributenodeattribute::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 72 of file nodeattributenodeattribute.java. References DOMTestCase::doMain().
    00072                                           {
    00073         DOMTestCase.doMain(nodeattributenodeattribute.class,args);
    00074    }

void nodeattributenodeattribute::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 53 of file nodeattributenodeattribute.java. References DOMTestCase::assertNull(), and DOMTest::load().
    00053                                                     {
    00054       Document doc;
    00055       NodeList elementList;
    00056       Element testAddr;
    00057       NamedNodeMap addrAttr;
    00058       Node attrNode;
    00059       NamedNodeMap attrList;
    00060       doc = load("staff");
    00061       elementList = doc.getElementsByTagName("address");
    00062       testAddr = (Element)elementList.item(0);
    00063       addrAttr = testAddr.getAttributes();
    00064       attrNode = addrAttr.item(0);
    00065       attrList = attrNode.getAttributes();
    00066       assertNull("nodeAttributeNodeAttributeAssert1",attrList);
    00067
    00068    }

The documentation for this class was generated from the following file:

- nodeattributenodeattribute.java